View Issue Details

IDProjectCategoryView StatusLast Update
14186Bug reports[All Projects] Theme editorpublic2019-04-30 09:11
Reportertpartner Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target Version3.15.xFixed in Version3.15.x 
Summary14186: Path to preview image broken when creating a custom question theme
Description

When creating a custom question theme, the only way I could insert a preview image located in the theme assets directory was something like this (which is fairly horrible):

<preview>
<filename>../../../../../../../../../../upload/themes/question/sliderWithControls/survey/questions/answer/multiplenumeric/assets/slider_with_controls.png</filename>
</preview>

If the image is located in the theme assets directory, the path should be automatic as found in the core bootstrap_buttons theme:

<preview>
<filename>bootstrap_buttons_listradio.png</filename>
</preview>

Sample config file and theme attached.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Activities

tpartner

tpartner

2018-10-26 10:31

developer  

sliderWithControls.zip (52,629 bytes)
config.xml (9,922 bytes)
DenisChenu

DenisChenu

2018-10-26 10:56

developer   ~49447

According to https://github.com/LimeSurvey/LimeSurvey/blob/272a492eae98d60e817affb0ba468b391ea8bead/themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/config.xml#L34

Must work with only filename, must document this on manual , i search for https://manual.limesurvey.org/index.php?search=question+theme&amp;title=Special%3ASearch&amp;profile=default&amp;fulltext=1 but don't seem have a documentation about question theme creation ?

DenisChenu

DenisChenu

2018-12-20 10:31

developer   ~50019

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28668

DenisChenu

DenisChenu

2018-12-20 10:33

developer   ~50020

@tparner : fixed but … sorry

Unable to use
../../../../../../../../../../upload/themes/question/sliderWithControls/survey/questions/answer/multiplenumeric/assets/slider_with_controls.png
for preview in
/mnt/data/shnoulle/nginx/www/master/upload/themes/question/sliderWithControls/survey/questions/answer/multiplenumeric/assets/

Let me check why (before it don't work for me too …)

DenisChenu

DenisChenu

2018-12-20 10:40

developer   ~50021

Oh,

I think you have an error in your sample
../../../../../../../../../upload/themes/question/sliderWithControls/survey/questions/answer/multiplenumeric/assets/slider_with_controls.png
is OK : one ../ less :)

ollehar

ollehar

2019-01-16 17:30

administrator   ~50237

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28763

Related Changesets

LimeSurvey: master d6bc2c51

2018-12-20 10:30:46

DenisChenu

Details Diff
Fixed issue 14186: Path to preview image broken when creating a custom question theme
Dev: core use assets, the use assets
Dev: usage of assetmanager (be sure to be in public)
Dev: since userquestionthemerootdir is updatable by config , we MUST use asset
Dev: because url can be something else than upload/theme/question …
Affected Issues
14186
mod - application/models/QuestionTemplate.php Diff File

LimeSurvey: develop f4eff57b

2018-12-20 10:30:46

DenisChenu


Committer: ollehar Details Diff
Fixed issue 14186: Path to preview image broken when creating a custom question theme
Dev: core use assets, the use assets
Dev: usage of assetmanager (be sure to be in public)
Dev: since userquestionthemerootdir is updatable by config , we MUST use asset
Dev: because url can be something else than upload/theme/question …
Affected Issues
14186
mod - application/models/QuestionTemplate.php Diff File

Issue History

Date Modified Username Field Change
2018-10-26 10:31 tpartner New Issue
2018-10-26 10:31 tpartner File Added: sliderWithControls.zip
2018-10-26 10:31 tpartner File Added: config.xml
2018-10-26 10:32 tpartner Description Updated View Revisions
2018-10-26 10:33 tpartner Description Updated View Revisions
2018-10-26 10:34 tpartner Description Updated View Revisions
2018-10-26 10:36 tpartner Description Updated View Revisions
2018-10-26 10:38 tpartner Description Updated View Revisions
2018-10-26 10:56 DenisChenu Note Added: 49447
2018-12-20 01:22 DenisChenu Assigned To => DenisChenu
2018-12-20 01:22 DenisChenu Status new => assigned
2018-12-20 10:31 DenisChenu Changeset attached => LimeSurvey master d6bc2c51
2018-12-20 10:31 DenisChenu Note Added: 50019
2018-12-20 10:31 DenisChenu Resolution open => fixed
2018-12-20 10:33 DenisChenu Note Added: 50020
2018-12-20 10:40 DenisChenu Note Added: 50021
2018-12-20 11:28 DenisChenu Status assigned => resolved
2018-12-20 11:28 DenisChenu Fixed in Version => 3.15.x
2019-01-16 17:30 ollehar Changeset attached => LimeSurvey develop f4eff57b
2019-01-16 17:30 ollehar Note Added: 50237
2019-04-30 09:11 c_schmitz Status resolved => closed